package graphview;

import graph.Vertex;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Scanner;




public class OrgContainment 
{
	
	private final Map<String,List<Integer>> clusters;
	private final Map<Integer,Vertex> vertices;
	
	
	
	
	
	
	//////////////////
	// CONSTRUCTORS //
	//////////////////
	
	public OrgContainment(Map<Integer,Vertex> vertices)
	{
		this.clusters = new HashMap<String,List<Integer>>();
		this.vertices = vertices;
	}
	
	
	
	
	
	////////////////////
	// PUBLIC METHODS //
	////////////////////
	
	/**
	 * 
	 * @param inputFile
	 * @throws IOException
	 */
	public void read(File inputFile) throws IOException
	{
		BufferedReader reader = new BufferedReader(new FileReader(inputFile));
		
		String line = null;
		while((line = reader.readLine()) != null)
		{
			if(line.matches("\"[\\d]+\"\\s\"[^\"]+\""))
			{
				Scanner sc = new Scanner(line);
				String IDNum_str = sc.findInLine("[\\d]+");
				Integer IDNum = Integer.valueOf(IDNum_str);
				sc.findInLine("\"\\s\"");
				String label = sc.findInLine("[^\"]+");
				if(!clusters.containsKey(label))
				{
					List<Integer> IDNums = new ArrayList<Integer>();
					IDNums.add(IDNum);
					clusters.put(label, IDNums);
				}
				else
				{
					List<Integer> IDNums = clusters.get(label);
					IDNums.add(IDNum);
				}
			}
		}
		assignClusterNums();
	}
	
	
	
	
	/**
	 * 
	 */
	private void assignClusterNums()
	{
		int clusterNum = 1;
		for(List<Integer> IDNums : clusters.values())
		{
			for(Integer IDNum : IDNums)
			{
				Vertex vertex = vertices.get(IDNum);
			}
			clusterNum++;
		}
	}
	
}
