package testing;

import java.io.File;
import java.io.IOException;
import java.util.zip.DataFormatException;
import gephi.Gexf;
import graph.Atf;
import graph.Graph;
import graph.GraphFile;
import graphview.Wadj;

public class GexfTest
{

	public static void main(String args[]) throws IOException, DataFormatException
	{
		GraphFile wadj = new Wadj(new File("input/test.wadj"));
		Graph graph = wadj.getGraph();
		graph.setAttrs(new Atf(new File("input/vertex.atf")));
		graph.setAttrs(new Atf(new File("input/edge.atf")));
		GraphFile gexf = new Gexf(graph);
		gexf.writeToFile(new File("output/test.gexf"));
	}
}
