package testing;

import java.io.File;
import java.io.IOException;
import graphview.WadjLabels;

public class WadjLabelsTest
{

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException
	{
		WadjLabels labels = new WadjLabels(new File("input/test.wadj.labels"));
		for(String vertId : labels.getVertIds())
		{
			System.out.print(vertId + " ");
			System.out.print(labels.getLabel(vertId) + " ");
			for(String tagId : labels.getTagIds(vertId))
			{
				String tagVal = labels.getTagValue(vertId, tagId);
				System.out.print(tagId + " " + tagVal + " ");
			}
			System.out.println();
		}
	}

	
}
