package graph.graph_filter;

import graph.GraphElem;
import graph.GraphElemType;



public abstract class GraphFilter
{

	private GraphElemType graphElemType;
	
	/**
	 * 
	 * @param get
	 */
	public GraphFilter(GraphElemType graphElemType)
	{
		this.graphElemType = graphElemType;
	}
	

	
	/**
	 * 
	 * @return
	 */
	public GraphElemType getElemType()
	{
		return graphElemType;
	}
	
	
	
	/**
	 * 
	 * @param graphElem
	 * @return
	 */
	public abstract boolean passes(GraphElem graphElem);

}
