package testing;

import java.io.File;
import java.io.IOException;
import java.util.zip.DataFormatException;
import graph.Atf;
import graph.Graph;
import graph.GraphFile;
import graphstream.DGS;
import graphview.Wadj;

public class DgsTest
{

	/**
	 * @param args
	 * @throws DataFormatException 
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException, DataFormatException
	{
		GraphFile wadj = new Wadj(new File("input/test.wadj"));
		
		Graph graph = wadj.getGraph();
		Atf vertAtf = new Atf(new File("input/vertex.atf"));
		Atf edgeAtf = new Atf(new File("input/edge.atf"));
		graph.setAttrs(vertAtf);
		graph.setAttrs(edgeAtf);
		
		GraphFile dgs = new DGS(graph);
		dgs.writeToFile(new File("output/test.dgs"));
		
		

	}

	///////////////
	// CONSTANTS //
	///////////////

	////////////
	// FIELDS //
	////////////

	//////////////////
	// CONSTRUCTORS //
	//////////////////

	/////////////////////////
	// GETTERS AND SETTERS //
	/////////////////////////

	////////////////////
	// PUBLIC METHODS //
	////////////////////

	/////////////////////
	// PRIVATE METHODS //
	/////////////////////

	//////////////////////
	// STANDARD METHODS //
	//////////////////////

}
